Loading...
Searching...
No Matches
opencv.hpp File Reference
`#include "../argagg.hpp"`
`#include <opencv2/opencv.hpp>`
`#include <vector>`

Go to the source code of this file.

## Classes

struct | argagg::convert::converter< cv::Point_< T > >
| Partially specializes argagg::convert::converter for the cv::Point_ type. Parses as a comma separated list of components. More...
struct | argagg::convert::converter< cv::Point3_< T > >
| Partially specializes argagg::convert::converter for the cv::Point3_ type. Parses as a comma separated list of components. More...
struct | argagg::convert::converter< cv::Size_< T > >
| Partially specializes argagg::convert::converter for the cv::Size_ type. Parses as a 'x' separated pair of width and height. More...
struct | argagg::convert::converter< cv::Rect_< T > >
| Partially specializes argagg::convert::converter for the cv::Rect_ type. Parses as a comma separated list of x, y, width, height. More...

## Namespaces

namespace | argagg
| There are only two hard things in Computer Science: cache invalidation and naming things (Phil Karlton).
namespace | argagg::convert
| The set of template instantiations that convert C-strings to other types for the option_result::as(), option_results::as(), parser_results::as(), and parser_results::all_as() methods are placed in this namespace.

## Macros

#define | ARGAGG_ARGAGG_CONVERT_OPENCV_HPP

## Macro Definition Documentation

## ARGAGG_ARGAGG_CONVERT_OPENCV_HPP

#define ARGAGG_ARGAGG_CONVERT_OPENCV_HPP

Definition at line 32 of file opencv.hpp.